import numpy as np
from mpl_toolkits.mplot3d import Axes3D
import matplotlib.pyplot as plt
from matplotlib import cm

x = np.linspace(-4*np.pi, 4*np.pi, num=20)
X, Y = np.meshgrid(x, x)
R = np.sqrt(X**2 + Y**2)
Z = np.sin(R) / R

f=plt.figure(figsize=(2.25,2.25))
ax = f.add_subplot(1,1,1, projection='3d')
ax.plot_surface(X, Y, Z,cmap=cm.spectral,rstride=1,cstride=1, alpha=.5,linewidth=0)
ax.legend();
ax.contour(X,Y,Z,zdir='y',offset=15,linewidth=17)
ax.contour(X,Y,Z,zdir='x',offset=-15,linewidth=17)
plt.show()
