import numpy as np
from mpl_toolkits.mplot3d import Axes3D
import matplotlib.pyplot as plt
from matplotlib import cm

x = np.linspace(-4*np.pi, 4*np.pi, num=20)
X, Y = np.meshgrid(x, x)
R = np.sqrt(X**2 + Y**2)
Z = np.sin(R) / R

f=plt.figure(figsize=(2.25,2.25))
ax = f.add_subplot(1,1,1, projection='3d')
ax.plot_wireframe(X, Y, Z)
ax.legend();
f.subplots_adjust(
left=-.05, right=1., top=1., bottom=.05)
plt.show()
